<template>
  <div class="center">
    <div class="latestMessage">
      <div class="firstRow">
        <router-link
          class="link"
          :to="{
            name: 'playerMessages',
            params: { id: id, playerId: player.id },
          }"
        >
          <h3>{{ player.username }}</h3>
        </router-link>
        <BigActionButton v-if="!player.isDead" @click="killPlayer">
          Kill player
        </BigActionButton>
      </div>
      <router-link
        class="link"
        :to="{
          name: 'playerMessages',
          params: { id: id, playerId: player.id },
        }"
      >
        <p v-if="player.message">
          {{ player.message.sender.name + ": " + player.message.content }}
        </p>
      </router-link>
    </div>
  </div>
</template>

<script>
import BigActionButton from "../atoms/BigActionButton.vue";
import axios from "axios";

export default {
  components: { BigActionButton },
  props: {
    player: {
      type: Object,
    },
    id: {
      validator(value) {
        return /([0-9])/.test(value);
      },
    },
  },
  methods: {
    async killPlayer() {
      await axios.post(`api/games/${this.id}/players/${this.player.id}/kill`);
      this.$router.go();
    },
  },
};
</script>

<style lang="scss">
.center {
  display: flex;
  justify-content: center;

  .latestMessage {
    background-color: white;
    padding: 0rem 1rem;
    border: 0.1rem #09639b solid;
    border-radius: 0.2rem;
    align-self: center;
    width: 90vw;
    max-width: 24rem;
    margin-bottom: 0.5rem;

    h3 {
      color: black;
      text-decoration: none;
      font-weight: bold;
      font-size: 1rem;
    }

    p {
      color: black;
      text-decoration: none;
    }
  }
}
.firstRow {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  .bigActionButton {
    width: 5rem;
    height: 1.5rem;
    font-size: 0.8rem;
  }
}
</style>
